Description

I think this code in KTEnvironment needs to be applied to content view version deletion actions:

http://goo.gl/Lhf8kZ

    self.content_views.each do |content_view|

      if foreman_env = Environment.find_by_katello_id(self.organization, self, content_view)

        foreman_env.destroy

      end

    end

Associated revisions

Revision 6421c79a - 07/09/2014 06:11 PM - Justin Sherrill

fixes #6322 - clean up puppet environment on cv delete

Attempt to move content host's hosts.  If there are others left

or host groups attached, throw a nice error.  In the future

we should add host and host group puppet environment selection

to the content view version deletion

Revision f3d564d1 - 07/31/2014 09:24 AM - Justin Sherrill

Merge pull request #4414 from jlsherrill/6322-env_delete

fixes #6322 - clean up puppet environment on cv delete

History

#1 - 06/20/2014 06:43 PM - David Davis

- Subject changed from We need to clean up the foreman environment when deleting a ContentViewEnvironment or ContentViewVersion to We need

to clean up the Foreman environments when deleting a ContentViewEnvironment or ContentViewVersion

#2 - 06/23/2014 08:45 PM - Justin Sherrill

- Status changed from New to Assigned

- Assignee set to Justin Sherrill

- Target version set to 48

- translation missing: en.field_release set to 13

- Difficulty set to easy

#3 - 07/07/2014 07:47 AM - Eric Helms

- Target version changed from 48 to 49
#4 - 07/07/2014 01:14 PM - Eric Helms

- Triaged changed from No to Yes

#5 - 07/28/2014 08:43 AM - Eric Helms

- Target version changed from 49 to 54

#6 - 07/31/2014 09:24 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4414 added

#7 - 07/31/2014 10:01 AM - Justin Sherrill

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|6421c79a6ed7a92384b4dd4126a3105511e3c40e.
